- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
libepubgen::EPUBPath::Relative Class Reference

`#include <EPUBPath.h>`

## Public Member Functions
const std::string | str () const

## Private Member Functions
| Relative (const std::vector< std::string > &components)

## Private Attributes
std::vector< std::string > | m_components

## Friends
class | EPUBPath

## Constructor & Destructor Documentation

libepubgen::EPUBPath::Relative::Relative | ( | const std::vector< std::string > & | components | ) |
| explicit private

## Member Function Documentation

const std::string libepubgen::EPUBPath::Relative::str | ( |  | ) | const

Referenced by libepubgen::EPUBHTMLGenerator::endDocument(), libepubgen::EPUBManifest::insert(), and libepubgen::EPUBHTMLGenerator::insertBinaryObject().

## Friends And Related Function Documentation

friend class EPUBPath
| friend

## Member Data Documentation

std::vector<std::string> libepubgen::EPUBPath::Relative::m_components
| private

Referenced by str().

The documentation for this class was generated from the following files:

- EPUBPath.h
- EPUBPath.cpp